Subject: Detecting keyboard event (input) for non X application

From: Alain Birtz <[email-masked]>
Date: Fri, 26 May 2000 09:46:26 -0400

Within an infinite loop, how to know if there is a keyboard input ?
Is there something similar to XNextEvent for non X application ?

getchar do not work since it stop and wait for the next keyboard event.
What I need is a function that I can call periodically to know if there
is a keyboard input.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/